%define base_name	jdepend
%define name		%{base_name}22
%define version		2.2
%define release		2jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:        Java Design Quality Metrics
License:        Clarkware License
Url:            http://www.clarkware.com
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:	JPackage
Source0:        %{base_name}%{version}.zip
BuildRequires:  ant
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
JDepend traverses a set of Java class and source file directories and
generates design quality metrics for each Java package. JDepend allows
you to automatically measure the quality of a design in terms of its
extensibility, reusability, and maintainability to effectively manage
and control package dependencies.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Demos for %{name}
Group:		Development/Libraries/Java
Requires:	%{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -T -c -n %{base_name}
(cd ..
unzip -q %{SOURCE0}
)
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant jar doc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 lib/%{base_name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
rm -rf docs/api
# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr sample $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE docs
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}

%changelog
* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:2.2-3jpp
- Rebuild with ant-1.6.2
* Mon Mar 15 2004 Ralph Apel <r.apel at r-apel.de> 0:2.2-2jpp
- Refloated jdepend 2.2 for JavaSourceFileParser

* Tue Jul 09 2002 Henri Gomez <hgomez@users.sourceforge.net> 0:2.2-1jpp
- Initial JPackage release of jdepend 0:2.2-1jpp
